---
- name: 檢查 /etc/ssh/sshd_config 中的 MaxSessions 數值
  hosts: all
  gather_facts: no
  vars:
    checkmaxsession: ""
  tasks:
    - name: MaxSessions task
      block: 
       - name: 使用 grep 和 awk 提取 MaxSessions 數值
         shell: grep -E '^MaxSessions[[:space:]]+[0-9]+' /etc/ssh/sshd_config | awk '{print $2}'
         register: file_content
         changed_when: false

       - name: 設定取得內容到變數
         set_fact:
           content_value: "{{ file_content.stdout }}"

       - name: 輸出max_sessions_value結果
         debug:
           msg: "{{ file_content.stdout }}"

       - name: 判斷 MaxSessions 小於 {{checkmaxsession}}
         set_fact:
           compliance_result: "{{ file_content.stdout | int <= checkmaxsession }}"
      
       - name: 輸出結果
         debug:
           msg: "MaxSessions 是否小於{{checkmaxsession}}, {{ compliance_result }} {{ file_content.stdout }}"
